org.apache.pdfbox.pdmodel.interactive.annotation

## Class PDAnnotationRubberStamp

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotation
  - - org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotationMarkup
    - - org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotationRubberStamp

All Implemented Interfaces:
  COSObjectable

    public class PDAnnotationRubberStamp
    extends PDAnnotationMarkup

This is the class that represents a rubber stamp annotation. Introduced in PDF 1.3 specification

Author:
  Paul King

### Field Summary

Fields
`static String` `NAME_APPROVED` Constant for the name of a rubber stamp.
`static String` `NAME_AS_IS` Constant for the name of a rubber stamp.
`static String` `NAME_CONFIDENTIAL` Constant for the name of a rubber stamp.
`static String` `NAME_DEPARTMENTAL` Constant for the name of a rubber stamp.
`static String` `NAME_DRAFT` Constant for the name of a rubber stamp.
`static String` `NAME_EXPERIMENTAL` Constant for the name of a rubber stamp.
`static String` `NAME_EXPIRED` Constant for the name of a rubber stamp.
`static String` `NAME_FINAL` Constant for the name of a rubber stamp.
`static String` `NAME_FOR_COMMENT` Constant for the name of a rubber stamp.
`static String` `NAME_FOR_PUBLIC_RELEASE` Constant for the name of a rubber stamp.
`static String` `NAME_NOT_APPROVED` Constant for the name of a rubber stamp.
`static String` `NAME_NOT_FOR_PUBLIC_RELEASE` Constant for the name of a rubber stamp.
`static String` `NAME_SOLD` Constant for the name of a rubber stamp.
`static String` `NAME_TOP_SECRET` Constant for the name of a rubber stamp.
`static String` `SUB_TYPE` The type of annotation.

### Fields inherited from class org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotationMarkup

`IT_FREE_TEXT, IT_FREE_TEXT_CALLOUT, IT_FREE_TEXT_TYPE_WRITER, RT_GROUP, RT_REPLY, SUB_TYPE_CARET, SUB_TYPE_FREETEXT, SUB_TYPE_INK, SUB_TYPE_POLYGON, SUB_TYPE_POLYLINE, SUB_TYPE_SOUND`

### Constructor Summary

Constructors
Constructor and Description
`PDAnnotationRubberStamp()` Constructor.
`PDAnnotationRubberStamp(COSDictionary field)` Creates a Rubber Stamp annotation from a COSDictionary, expected to be a correct object definition.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()` This will retrieve the name (and hence appearance, AP taking precedence) For this annotation.
`void` `setName(String name)` This will set the name (and hence appearance, AP taking precedence) For this annotation.

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotationMarkup

`constructAppearances, constructAppearances, getBorderEffect, getBorderStyle, getCallout, getConstantOpacity, getCreationDate, getDefaultAppearance, getDefaultStyleString, getEndPointEndingStyle, getExternalData, getInkList, getInReplyTo, getIntent, getInteriorColor, getLineEndingStyle, getPath, getPopup, getQ, getRectDifference, getRectDifferences, getReplyType, getRichContents, getStartPointEndingStyle, getSubject, getTitlePopup, getVertices, setBorderEffect, setBorderStyle, setCallout, setConstantOpacity, setCreationDate, setCustomAppearanceHandler, setDefaultAppearance, setDefaultStyleString, setEndPointEndingStyle, setExternalData, setInkList, setInReplyTo, setIntent, setInteriorColor, setLineEndingStyle, setPopup, setQ, setRectDifference, setRectDifferences, setRectDifferences, setReplyType, setRichContents, setStartPointEndingStyle, setSubject, setTitlePopup, setVertices`

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotation

`createAnnotation, equals, getAnnotationFlags, getAnnotationName, getAppearance, getAppearanceState, getBorder, getColor, getColor, getContents, getCOSObject, getModifiedDate, getNormalAppearanceStream, getOptionalContent, getPage, getRectangle, getStructParent, getSubtype, hashCode, isHidden, isInvisible, isLocked, isLockedContents, isNoRotate, isNoView, isNoZoom, isPrinted, isReadOnly, isToggleNoView, setAnnotationFlags, setAnnotationName, setAppearance, setAppearanceState, setBorder, setColor, setContents, setHidden, setInvisible, setLocked, setLockedContents, setModifiedDate, setModifiedDate, setNoRotate, setNoView, setNoZoom, setOptionalContent, setPage, setPrinted, setReadOnly, setRectangle, setStructParent, setToggleNoView`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAME_APPROVED

    public static final String NAME_APPROVED

Constant for the name of a rubber stamp.

See Also:
  Constant Field Values

#### NAME_EXPERIMENTAL

    public static final String NAME_EXPERIMENTAL

Constant for the name of a rubber stamp.

See Also:
  Constant Field Values

#### NAME_NOT_APPROVED

    public static final String NAME_NOT_APPROVED

Constant for the name of a rubber stamp.

See Also:
  Constant Field Values

#### NAME_AS_IS

    public static final String NAME_AS_IS

Constant for the name of a rubber stamp.

See Also:
  Constant Field Values

#### NAME_EXPIRED

    public static final String NAME_EXPIRED

Constant for the name of a rubber stamp.

See Also:
  Constant Field Values

#### NAME_NOT_FOR_PUBLIC_RELEASE

    public static final String NAME_NOT_FOR_PUBLIC_RELEASE

Constant for the name of a rubber stamp.

See Also:
  Constant Field Values

#### NAME_FOR_PUBLIC_RELEASE

    public static final String NAME_FOR_PUBLIC_RELEASE

Constant for the name of a rubber stamp.

See Also:
  Constant Field Values

#### NAME_DRAFT

    public static final String NAME_DRAFT

Constant for the name of a rubber stamp.

See Also:
  Constant Field Values

#### NAME_FOR_COMMENT

    public static final String NAME_FOR_COMMENT

Constant for the name of a rubber stamp.

See Also:
  Constant Field Values

#### NAME_TOP_SECRET

    public static final String NAME_TOP_SECRET

Constant for the name of a rubber stamp.

See Also:
  Constant Field Values

#### NAME_DEPARTMENTAL

    public static final String NAME_DEPARTMENTAL

Constant for the name of a rubber stamp.

See Also:
  Constant Field Values

#### NAME_CONFIDENTIAL

    public static final String NAME_CONFIDENTIAL

Constant for the name of a rubber stamp.

See Also:
  Constant Field Values

#### NAME_FINAL

    public static final String NAME_FINAL

Constant for the name of a rubber stamp.

See Also:
  Constant Field Values

#### NAME_SOLD

    public static final String NAME_SOLD

Constant for the name of a rubber stamp.

See Also:
  Constant Field Values

#### SUB_TYPE

    public static final String SUB_TYPE

The type of annotation.

See Also:
  Constant Field Values

### Constructor Detail

#### PDAnnotationRubberStamp

    public PDAnnotationRubberStamp()

Constructor.

#### PDAnnotationRubberStamp

    public PDAnnotationRubberStamp(COSDictionary field)

Creates a Rubber Stamp annotation from a COSDictionary, expected to be a correct object definition.

Parameters:
  `field` - the PDF object to represent as a field.

### Method Detail

#### setName

    public void setName(String name)

This will set the name (and hence appearance, AP taking precedence) For this annotation. See the NAME_XXX constants for valid values.

Parameters:
  `name` - The name of the rubber stamp.

#### getName

    public String getName()

This will retrieve the name (and hence appearance, AP taking precedence) For this annotation. The default is DRAFT.

Returns:
  The name of this rubber stamp, see the NAME_XXX constants.